import pygame

from util import load_image

class StatView:
    def __init__(self,screen):
        self.screen = screen
        self.bg = {
            "jelly":load_image("gui-jelly"),
            "ooze":load_image("gui-ooze"),
            }
        self.atk = load_image("gui-attack")
        self.heal = load_image("gui-heal")
        self.dfn = load_image("gui-defense")
        self.mov = load_image("gui-move")
        self.jmp = load_image("gui-jump")
        self.empty = load_image("gui-hbar-empty")
        self.bar = load_image("gui-hbar-full")

        self.weefont = pygame.font.Font(None,16)
        self.font = pygame.font.Font(None,18)
        self.namefont = pygame.font.Font(None,22)
    def draw(self,unit,pos):
        x,y = pos
        h,hp = (unit.max_hp,unit.hp)
        blit = self.screen.blit
        write = self.font.render
        script = self.weefont.render        

        blit(self.bg[unit.side],pos)
        blit(self.namefont.render(unit.name,True,(255,255,255)),(x+91,y+6))
        
        blit(self.mov,(x+98,y+26))
        blit(write("Mv. %3d"%unit.moverange,True,(255,255,255)),(x+122,y+32))

        if unit.attack >= 0:
            blit(self.atk,(x+98,y+51))
            blit(write("Ak. %3d"%unit.attack,True,(255,255,255)),(x+122,y+57))
        else:
            blit(self.heal,(x+98,y+51))
            blit(write("Hl. %3d"%-unit.attack,True,(180,255,180)),(x+122,y+57))
        
        blit(self.jmp,(x+173,y+26))
        blit(write("Jm. %3d"%unit.jump,True,(255,255,255)),(x+197,y+32))
        
        blit(self.dfn,(x+173,y+51))
        blit(write("Df. %3d"%unit.defense,True,(255,255,255)),(x+197,y+57))

        P = (float(hp)/h)
        blit(self.empty,(x+94,y+77))
        blit(self.bar,(x+115,y+91),(0,0,P*111,8))

        blit(script("HP %3d/%3d"%(unit.hp,unit.max_hp),True,(255,255,255)),(x+170,y+77))
        blit(script("%3d%%"%(P*100),True,(255,255,255)),(x+185,y+90))
